Debian Bug report logs - #520649
No profiling libraries for gtk?

version graph

Package: libghc6-gtk-dev; Maintainer for libghc6-gtk-dev is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for libghc6-gtk-dev is src:haskell-dummy.

Reported by: Daniel Burrows <dburrows@debian.org>

Date: Sat, 21 Mar 2009 16:00:02 UTC

Severity: wishlist

Tags: confirmed

Found in version gtk2hs/0.10.0-2

Fixed in version haskell-gtk/0.12.0-1

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco Túlio Gontijo e Silva <marcot@holoscopio.com>:
Bug#520649; Package libghc6-gtk-dev. (Sat, 21 Mar 2009 16:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
New Bug report received and forwarded. Copy sent to Marco Túlio Gontijo e Silva <marcot@holoscopio.com>. (Sat, 21 Mar 2009 16:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: No profiling libraries for gtk?
Date: Sat, 21 Mar 2009 08:58:11 -0700
Package: libghc6-gtk-dev
Version: 0.10.0-2
Severity: wishlist

  It looks like there aren't any profiling libraries for the GTK+
development package, which makes it tricky to profile a program
using GTK+:

Main.hs:15:7:
    Could not find module `System.Glib.Types':
      Perhaps you haven't installed the profiling libraries for package glib-0.10.0?

  Other Haskell libraries provide both -dev and -prof packages -- it
would be handy if the GTK+ libraries did as well.

    Thanks,
  Daniel

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libghc6-gtk-dev depends on:
ii  ghc6                     6.10.1+dfsg1-13 GHC - the Glasgow Haskell Compilat
ii  libatk1.0-0              1.22.0-1        The ATK accessibility toolkit
ii  libc6                    2.9-4           GNU C Library: Shared libraries
ii  libcairo2                1.8.6-2         The Cairo 2D vector graphics libra
ii  libffi5                  3.0.7-1         Foreign Function Interface library
ii  libghc6-cairo-dev        0.10.0-2        A GUI library for Haskell (Gtk2Hs)
ii  libghc6-glib-dev         0.10.0-2        A GUI library for Haskell (Gtk2Hs)
ii  libghc6-mtl-dev          1.1.0.2-6       Haskell monad transformer library 
ii  libglib2.0-0             2.18.4-2        The GLib library of C routines
ii  libgmp3c2                2:4.2.2+dfsg-3  Multiprecision arithmetic library
ii  libgtk2.0-0              2.14.7-4+b1     The GTK+ graphical user interface 
ii  libgtk2.0-dev            2.14.7-4+b1     Development files for the GTK+ lib
ii  libpango1.0-0            1.22.4-2        Layout and rendering of internatio

libghc6-gtk-dev recommends no packages.

Versions of packages libghc6-gtk-dev suggests:
ii  gtk2hs-doc                    0.10.0-2   A GUI library for Haskell (Gtk2Hs)

-- no debconf information




Added tag(s) upstream and confirmed. Request was from Marco Túlio Gontijo e Silva <marcot@riseup.net> to control@bugs.debian.org. (Sun, 18 Oct 2009 19:15:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#520649; Package libghc6-gtk-dev. (Tue, 09 Feb 2010 00:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 09 Feb 2010 00:21:06 GMT) Full text and rfc822 format available.

Message #12 received at 520649@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@debian.org>
To: 520649 <520649@bugs.debian.org>, control@bugs.debian.org
Subject: Discussions about the problem
Date: Mon, 08 Feb 2010 22:18:02 -0200
tags 520649 + help
thanks

Hi.

I'm mailing just to record that there were two discussions about the problem in
mailing lists:

* http://sourceforge.net/mailarchive/forum.php?thread_name=1242762143.18742.277.camel%40zezinho&forum_name=gtk2hs-users

* http://www.haskell.org/pipermail/glasgow-haskell-users/2009-June/017353.html

I've no idea about what's happening, so I'll try to build with profiling in the
next upstream version.

In the mean time, if anyone has any idea about it, the help is welcome.

Greetings.
-- 
marcot
http://marcot.iaaeee.org/




Added tag(s) help. Request was from Marco Túlio Gontijo e Silva <marcot@debian.org> to control@bugs.debian.org. (Tue, 09 Feb 2010 00:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#520649; Package libghc6-gtk-dev. (Wed, 09 Jun 2010 03:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@marcot.eti.br>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Wed, 09 Jun 2010 03:33:03 GMT) Full text and rfc822 format available.

Message #19 received at 520649@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@marcot.eti.br>
To: 520649 <520649@bugs.debian.org>, control <control@bugs.debian.org>
Subject: Status update
Date: Wed, 09 Jun 2010 00:22:01 -0300
[Message part 1 (text/plain, inline)]
tags 520649 - help upstream
block 520649 by 575534
thanks

The -prof package was uploaded, and this bug should have been closed by then,
but now I removed it, because it took too long to build in slow arches.  This
is a problem in ghc6-6.12.1: #575534.

-- 
marcot
http://wiki.debian.org/MarcoSilva
[signature.asc (application/pgp-signature, attachment)]

Removed tag(s) upstream and help. Request was from Marco Túlio Gontijo e Silva <marcot@marcot.eti.br> to control@bugs.debian.org. (Wed, 09 Jun 2010 03:33:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 520649: 575534 Request was from Marco Túlio Gontijo e Silva <marcot@marcot.eti.br> to control@bugs.debian.org. (Wed, 09 Jun 2010 03:33:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 29 Mar 2011 19:09:15 GMT) Full text and rfc822 format available.

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Wed, 30 Mar 2011 12:06:11 GMT) Full text and rfc822 format available.

Notification sent to Daniel Burrows <dburrows@debian.org>:
Bug acknowledged by developer. (Wed, 30 Mar 2011 12:06:11 GMT) Full text and rfc822 format available.

Message #30 received at 520649-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 520649-close@bugs.debian.org
Subject: Bug#520649: fixed in haskell-gtk 0.12.0-1
Date: Wed, 30 Mar 2011 12:03:28 +0000
Source: haskell-gtk
Source-Version: 0.12.0-1

We believe that the bug you reported is fixed in the latest version of
haskell-gtk, which is due to be installed in the Debian FTP archive:

haskell-gtk_0.12.0-1.debian.tar.gz
  to main/h/haskell-gtk/haskell-gtk_0.12.0-1.debian.tar.gz
haskell-gtk_0.12.0-1.dsc
  to main/h/haskell-gtk/haskell-gtk_0.12.0-1.dsc
haskell-gtk_0.12.0.orig.tar.gz
  to main/h/haskell-gtk/haskell-gtk_0.12.0.orig.tar.gz
libghc-gtk-dev_0.12.0-1_amd64.deb
  to main/h/haskell-gtk/libghc-gtk-dev_0.12.0-1_amd64.deb
libghc-gtk-doc_0.12.0-1_all.deb
  to main/h/haskell-gtk/libghc-gtk-doc_0.12.0-1_all.deb
libghc-gtk-prof_0.12.0-1_amd64.deb
  to main/h/haskell-gtk/libghc-gtk-prof_0.12.0-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 520649@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated haskell-gtk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 29 Mar 2011 23:26:55 +0530
Source: haskell-gtk
Binary: libghc-gtk-dev libghc-gtk-prof libghc-gtk-doc
Architecture: source all amd64
Version: 0.12.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 libghc-gtk-dev - Binding to the Gtk+ graphical user interface library
 libghc-gtk-doc - Binding to the Gtk+ graphical user interface library; documentati
 libghc-gtk-prof - Binding to the Gtk+ graphical user interface library; profiling l
Closes: 520649
Changes: 
 haskell-gtk (0.12.0-1) unstable; urgency=low
 .
   [ Marco Silva ]
   * Use ghc instead of ghc6
 .
   [ Joachim Breitner ]
   * New upstream release
   * Lets be optimistic and re-enable -prof package (Closes: #520649)
   * Remove preinst script, not require with clean ghc-pkg database
   * gtk-thread-backport-597837.patch: Removed, applied upstream
   * utf8.patch: Removed, applied upstream
Checksums-Sha1: 
 d2b7d83a360f7bfdb61c46e101f1dcd1abd6f544 1854 haskell-gtk_0.12.0-1.dsc
 88bacffb306fa16de05a83e36a66fbf2630f37ec 655682 haskell-gtk_0.12.0.orig.tar.gz
 086237681c30c8fbf5175629b86bafd7bf4b1708 2498 haskell-gtk_0.12.0-1.debian.tar.gz
 6efbfa494dbd4ddff3ebb2aecd688f6fb84ee987 2771990 libghc-gtk-doc_0.12.0-1_all.deb
 a72b544e49e55a01f421b64c0189ca0cfc93ad7e 7118078 libghc-gtk-dev_0.12.0-1_amd64.deb
 abebde0b2b109b6702937df51ffd95b969cd4d13 6664074 libghc-gtk-prof_0.12.0-1_amd64.deb
Checksums-Sha256: 
 5d600ae17e8a0813f62788ca36e1b8953e5139985ace85136a4ac7cc62647b83 1854 haskell-gtk_0.12.0-1.dsc
 423fdd63794b88c822a3aeb8f8bbf5c846fe7c9630a81516cd0daa0cd2001ee7 655682 haskell-gtk_0.12.0.orig.tar.gz
 6c2bb3ce7324f2479e0eecd83db021d8818038cb3e665e2f3adcef69c2f1513e 2498 haskell-gtk_0.12.0-1.debian.tar.gz
 83a5e1b989850ae664bea51dc424d71810e5934f014fd3a1d868ecce724928de 2771990 libghc-gtk-doc_0.12.0-1_all.deb
 24d13490caf792cad864f5c1cd259dd28688972c7d988c722b4e694c2a5790e9 7118078 libghc-gtk-dev_0.12.0-1_amd64.deb
 2e828724fc4f06f70b2924ce18df3f0843d24e6cdaefc8b85842175101c6fcff 6664074 libghc-gtk-prof_0.12.0-1_amd64.deb
Files: 
 faf16fcd45b52a1fbf06ec9c236bb327 1854 haskell extra haskell-gtk_0.12.0-1.dsc
 17a9d34085b703510d8feb2608b5d776 655682 haskell extra haskell-gtk_0.12.0.orig.tar.gz
 440991d61c8185ac653084bfd1b36ec7 2498 haskell extra haskell-gtk_0.12.0-1.debian.tar.gz
 d66ca9496e587cfe7e93de0a25461bfb 2771990 doc extra libghc-gtk-doc_0.12.0-1_all.deb
 892cd4268951b792bfcebb72d6f34624 7118078 haskell extra libghc-gtk-dev_0.12.0-1_amd64.deb
 cbb61d9f75b7ed0878f07a9115c9c4aa 6664074 haskell extra libghc-gtk-prof_0.12.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk2SI6oACgkQ9ijrk0dDIGzOSQCfdIZIQo3iFgdYlLxEAddnjOq/
+xcAoL96OXaCV+i/RC9DYBLjs1qjZPKD
=i+tB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Apr 2011 07:35:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:12:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.